Get Instrument

Get details of a specific instrument from the block/rfqs service.

Request

POST /api/block/rfqs/get_instrument

Parameters

Parameter Type Required Description
instrumentName string true Instrument name

Request Example

{
  "rid": 10002,
  "method": "block/rfqs/get_instrument",
  "params": {
    "instrumentName": "BTC-26JUN26-200000-C"
  }
}

Response

Name Type Description
baseCurrency string The currency the Instrument is exposed to. Valid values include BTC, ETH
marginKind string The nature of how the contract is margined. Valid values include linear, reversed
optionKind string The kind of Option. null if instrument is not an Option. Valid values include call, put, null
strike string Option Instrument Strike Price. null if kind == FUTURE
kind string The type of Instrument. Valid values include future and option
expiration number Instrument expiration timestamp in unix milliseconds since the epoch. null if Instrument does not have an expiration
instrumentName string The name of the Instrument per the underlying exchange's naming conventions

Response Example

{
  "rid": 10002,
  "result": {
    "baseCurrency": "BTC",
    "marginKind": "reversed",
    "optionKind": "CALL",
    "strike": "200000.0",
    "kind": "option",
    "expiration": 1782460800000,
    "instrumentName": "BTC-26JUN26-200000-C"
  }
}

results matching ""

    No results matching ""